Audit reports list
curl --request GET \
--url https://api.blockscout.com/{chain_id}/api/v2/smart-contracts/{address_hash_param}/audit-reports \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.blockscout.com/{chain_id}/api/v2/smart-contracts/{address_hash_param}/audit-reports"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.blockscout.com/{chain_id}/api/v2/smart-contracts/{address_hash_param}/audit-reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"audit_company_name": "<string>",
"audit_publish_date": "2023-12-25",
"audit_report_url": "<string>"
}
],
"next_page_params": {}
}{
"errors": [
{
"detail": "null value where string expected",
"source": {
"pointer": "/data/attributes/petName"
},
"title": "Invalid value"
}
]
}smart-contracts
Audit reports list
Returns audit reports for a given smart contract address.
GET
/
{chain_id}
/
api
/
v2
/
smart-contracts
/
{address_hash_param}
/
audit-reports
Audit reports list
Authorizations
bearerAuthapiKeyAuth
API key passed as a Bearer token in the Authorization header.
Path Parameters
Address hash in the path
Pattern:
^0x([A-Fa-f0-9]{40})$The ID of the blockchain
Was this page helpful?
Retrieve detailed information about a verified smart contract
Previous
Retrieve blockchain network statistics and metrics
Next
⌘I